Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BlockTrapDoor

    java.lang.Object
      net.minecraft.src.Block
          net.minecraft.src.BlockTrapDoor

    public class BlockTrapDoor

extends Block

Field Summary
`static boolean` | `disableValidation` Set this to allow trapdoors to remain free-floating

Fields inherited from class net.minecraft.src.Block
`bed, bedrock, blockClay, blockDiamond, blockEmerald, blockGold, blockID, blockIndexInTexture, blockLapis, blockMaterial, blockParticleGravity, blocksList, blockSnow, blockSteel, bookShelf, brewingStand, brick, button, cactus, cake, canBlockGrass, cauldron, chest, cloth, cobblestone, cobblestoneMossy, cocoaPlant, crops, deadBush, dirt, dispenser, doorSteel, doorWood, dragonEgg, enchantmentTable, enderChest, endPortal, endPortalFrame, fence, fenceGate, fenceIron, field_82507_n, field_82508_o, field_82509_m, field_82510_ck, field_82511_ci, field_82512_cj, field_82513_cg, field_82514_ch, field_82515_ce, field_82516_cf, field_82517_cc, field_82518_cd, fire, glass, glowStone, grass, gravel, ice, isDefaultTexture, jukebox, ladder, lavaMoving, lavaStill, leaves, lever, lightOpacity, lightValue, lockedChest, melon, melonStem, mobSpawner, mushroomBrown, mushroomCapBrown, mushroomCapRed, mushroomRed, music, mycelium, netherBrick, netherFence, netherrack, netherStalk, obsidian, opaqueCubeLookup, oreCoal, oreDiamond, oreEmerald, oreGold, oreIron, oreLapis, oreRedstone, oreRedstoneGlowing, pistonBase, pistonExtension, pistonMoving, pistonStickyBase, planks, plantRed, plantYellow, portal, pressurePlatePlanks, pressurePlateStone, pumpkin, pumpkinLantern, pumpkinStem, rail, railDetector, railPowered, redstoneLampActive, redstoneLampIdle, redstoneRepeaterActive, redstoneRepeaterIdle, redstoneWire, reed, requiresSelfNotify, sand, sandStone, sapling, signPost, signWall, silverfish, slipperiness, slowSand, snow, soundClothFootstep, soundGlassFootstep, soundGrassFootstep, soundGravelFootstep, soundMetalFootstep, soundPowderFootstep, soundSandFootstep, soundStoneFootstep, soundWoodFootstep, sponge, stairCompactCobblestone, stairCompactPlanks, stairsBrick, stairsNetherBrick, stairsSandStone, stairsStoneBrickSmooth, stairsWoodBirch, stairsWoodJungle, stairsWoodSpruce, stepSound, stone, stoneBrick, stoneDoubleSlab, stoneOvenActive, stoneOvenIdle, stoneSingleSlab, tallGrass, thinGlass, tilledField, tnt, torchRedstoneActive, torchRedstoneIdle, torchWood, trapdoor, tripWire, tripWireSource, useNeighborBrightness, vine, waterlily, waterMoving, waterStill, web, whiteStone, wood, woodDoubleSlab, woodSingleSlab, workbench`

Method Summary
`boolean` | `canPlaceBlockOnSide(World par1World, int par2, int par3, int par4, int par5)` checks to see if you can place this block can be placed on that side of a block: BlockLever overrides
`MovingObjectPosition` | `collisionRayTrace(World par1World, int par2, int par3, int par4, Vec3 par5Vec3, Vec3 par6Vec3)` Ray traces through the blocks collision from start vector to end vector returning a ray trace hit.
`boolean` | `getBlocksMovement(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)`
`AxisAlignedBB` | `getCollisionBoundingBoxFromPool(World par1World, int par2, int par3, int par4)` Returns a bounding box from the pool of bounding boxes (this means this box can change after the pool has been cleared to be reused)
`int` | `getRenderType()` The type of render function that is called for this block
`AxisAlignedBB` | `getSelectedBoundingBoxFromPool(World par1World, int par2, int par3, int par4)`
`boolean` | `isOpaqueCube()` Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.
`static boolean` | `isTrapdoorOpen(int par0)`
`boolean` | `onBlockActivated(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer, int par6, float par7, float par8, float par9)` Called upon block activation (right click on the block.)
`void` | `onBlockClicked(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer)` Called when the block is clicked by a player.
`void` | `onNeighborBlockChange(World par1World, int par2, int par3, int par4, int par5)` Lets the block know when one of its neighbor changes.
`void` | `onPoweredBlockChange(World par1World, int par2, int par3, int par4, boolean par5)`
`boolean` | `renderAsNormalBlock()` If this block doesn't render as an ordinary block it will return False (examples: signs, buttons, stairs, etc)
`void` | `setBlockBoundsBasedOnState(IBlockAccess par1IBlockAccess, int par2, int par3, int par4)` Updates the blocks bounds based on its current state.
`void` | `setBlockBoundsForBlockRender(int par1)`
`void` | `setBlockBoundsForItemRender()` Sets the block's bounds for rendering it as an item
`void` | `updateBlockMetadata(World par1World, int par2, int par3, int par4, int par5, float par6, float par7, float par8)` called before onBlockPlacedBy by ItemBlock and ItemReed

Methods inherited from class net.minecraft.src.Block
`addBlockDestroyEffects, addBlockHitEffects, addCollidingBlockToList, addCreativeItems, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDragonDestroy, canHarvestBlock, canPlaceBlockAt, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canSilkHarvest, canSustainLeaves, canSustainPlant, colorMultiplier, createTileEntity, damageDropped, dropBlockAsItem, dropBlockAsItemWithChance, fillWithRain, func_82505_u_, func_82506_l, func_83005_z, func_83006_A, func_83007_w, func_83008_x, func_83009_v, func_83010_y, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBrightness, getBlockColor, getBlockDropped, getBlockHardness, getBlockName, getBlockTexture, getBlockTextureFromSide, getBlockTextureFromSideAndMetadata, getCreativeTabToDisplayOn, getDamageValue, getEnableStats, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getLightOpacity, getLightValue, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getSubBlocks, getTextureFile, getTickRandomly, harvestBlock, hasTileEntity, hasTileEntity, idDropped, idPicked, isAirBlock, isBed, isBedFoot, isBlockBurning, isBlockFoliage, isBlockNormalCube, isBlockReplaceable, isBlockSolid, isBlockSolidOnSide, isCollidable, isFertile, isFireSource, isFlammable, isGenMineableReplaceable, isIndirectlyPoweringTo, isLadder, isLeaves, isNormalCube, isPoweringTo, isWood, onBlockAdded, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockHarvested, onBlockPlacedBy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onSetBlockIDWithMetaData, quantityDropped, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, removeBlockByPlayer, setBedOccupied, setBlockBounds, setBlockName, setBlockUnbreakable, setBurnProperties, setCreativeTab, setHardness, setLightOpacity, setLightValue, setRequiresSelfNotify, setResistance, setStepSound, setTextureFile, setTickRandomly, shouldSideBeRendered, tickRate, translateBlockName, updateTick, velocityToAddToEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### disableValidation

    public static boolean disableValidation

  Set this to allow trapdoors to remain free-floating

Method Detail

### isOpaqueCube

    public boolean isOpaqueCube()

  Is this block (a) opaque and (b) a full 1m cube? This determines whether or not to render the shared face of two adjacent blocks and also whether the player can attach torches, redstone wire, etc to this block.

  Overrides:
    `isOpaqueCube` in class `Block`

### renderAsNormalBlock

    public boolean renderAsNormalBlock()

  If this block doesn't render as an ordinary block it will return False (examples: signs, buttons, stairs, etc)

  Overrides:
    `renderAsNormalBlock` in class `Block`

### getBlocksMovement

    public boolean getBlocksMovement(IBlockAccess par1IBlockAccess,
                                     int par2,
                                     int par3,
                                     int par4)

  Overrides:
    `getBlocksMovement` in class `Block`

### getRenderType

    public int getRenderType()

  The type of render function that is called for this block

  Overrides:
    `getRenderType` in class `Block`

### getSelectedBoundingBoxFromPool

    public AxisAlignedBB getSelectedBoundingBoxFromPool(World par1World,
                                                        int par2,
                                                        int par3,
                                                        int par4)

  Overrides:
    `getSelectedBoundingBoxFromPool` in class `Block`

### getCollisionBoundingBoxFromPool

    public AxisAlignedBB getCollisionBoundingBoxFromPool(World par1World,
                                                         int par2,
                                                         int par3,
                                                         int par4)

  Returns a bounding box from the pool of bounding boxes (this means this box can change after the pool has been cleared to be reused)

  Overrides:
    `getCollisionBoundingBoxFromPool` in class `Block`

### setBlockBoundsBasedOnState

    public void setBlockBoundsBasedOnState(IBlockAccess par1IBlockAccess,
                                           int par2,
                                           int par3,
                                           int par4)

  Updates the blocks bounds based on its current state. Args: world, x, y, z

  Overrides:
    `setBlockBoundsBasedOnState` in class `Block`

### setBlockBoundsForItemRender

    public void setBlockBoundsForItemRender()

  Sets the block's bounds for rendering it as an item

  Overrides:
    `setBlockBoundsForItemRender` in class `Block`

### setBlockBoundsForBlockRender

    public void setBlockBoundsForBlockRender(int par1)

### onBlockClicked

    public void onBlockClicked(World par1World,
                               int par2,
                               int par3,
                               int par4,
                               EntityPlayer par5EntityPlayer)

  Called when the block is clicked by a player. Args: x, y, z, entityPlayer

  Overrides:
    `onBlockClicked` in class `Block`

### onBlockActivated

    public boolean onBlockActivated(World par1World,
                                    int par2,
                                    int par3,
                                    int par4,
                                    EntityPlayer par5EntityPlayer,
                                    int par6,
                                    float par7,
                                    float par8,
                                    float par9)

  Called upon block activation (right click on the block.)

  Overrides:
    `onBlockActivated` in class `Block`

### onPoweredBlockChange

    public void onPoweredBlockChange(World par1World,
                                     int par2,
                                     int par3,
                                     int par4,
                                     boolean par5)

### onNeighborBlockChange

    public void onNeighborBlockChange(World par1World,
                                      int par2,
                                      int par3,
                                      int par4,
                                      int par5)

  Lets the block know when one of its neighbor changes. Doesn't know which neighbor changed (coordinates passed are their own) Args: x, y, z, neighbor blockID

  Overrides:
    `onNeighborBlockChange` in class `Block`

### collisionRayTrace

    public MovingObjectPosition collisionRayTrace(World par1World,
                                                  int par2,
                                                  int par3,
                                                  int par4,
                                                  Vec3 par5Vec3,
                                                  Vec3 par6Vec3)

  Ray traces through the blocks collision from start vector to end vector returning a ray trace hit. Args: world, x, y, z, startVec, endVec

  Overrides:
    `collisionRayTrace` in class `Block`

### updateBlockMetadata

    public void updateBlockMetadata(World par1World,
                                    int par2,
                                    int par3,
                                    int par4,
                                    int par5,
                                    float par6,
                                    float par7,
                                    float par8)

  called before onBlockPlacedBy by ItemBlock and ItemReed

  Overrides:
    `updateBlockMetadata` in class `Block`

### canPlaceBlockOnSide

    public boolean canPlaceBlockOnSide(World par1World,
                                       int par2,
                                       int par3,
                                       int par4,
                                       int par5)

  checks to see if you can place this block can be placed on that side of a block: BlockLever overrides

  Overrides:
    `canPlaceBlockOnSide` in class `Block`

### isTrapdoorOpen

    public static boolean isTrapdoorOpen(int par0)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD